#
# spec file for package jsclasses (Version 20010306)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  bzip lha te_kpath te_latex te_ptex tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less lha libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_kpath te_latex te_ptex tetex texinfo textutils timezone unzip util-linux vim

Name:         jsclasses
Copyright:    distributable
Group:        Applications/Publishing/TeX
Requires:     tetex te_latex te_ptex
Autoreqprov:  on
Version:      20010306
Release:      129
URL:          http://www.matsusaka-u.ac.jp/~okumura/jsclasses/
Source0:      http://www.matsusaka-u.ac.jp/~okumura/jsclasses/jsclasses.lzh
Source1:      http://www.matsusaka-u.ac.jp/~okumura/jsclasses/index.html
BuildArch: noarch
BuildRoot:    /var/tmp/%{name}-root
Summary:      pLaTeX2e new Japanese Standard (?) document class
# Summary(ja): pLaTeX2e ~~~~~~~~~~ 
%define PREFIX      /usr
%define TEXMFMAIN   %{PREFIX}/share/texmf
%define PLATEX      %{TEXMFMAIN}/ptex/platex

%description
pLaTeX2e new Japanese Standard (?) document class

Authors:
--------
    OKUMURA haruhiko <okumura@matsusaka-u.ac.jp>

SuSE series: j

%prep
%setup -T -q -c %{name} -n %{name} 
lha xtev2 ${RPM_SOURCE_DIR}/jsclasses.lzh
cp -p ${RPM_SOURCE_DIR}/index.html ./README.html

%build
texhash
for i in jsclasses okumacro okuverb morisawa
do
   platex $i.dtx
   pdvips -u +/var/lib/texmf/dvips/config/kanji.map $i.dvi
   bzip2  $i.ps 
done

%install
if [ -n "%{?buildroot}" ] ; then
   [ %{buildroot} != "/" ] && rm -rf %{buildroot}
fi
mkdir -p $RPM_BUILD_ROOT%{PLATEX}/js
cp -fp *.dtx *.ins *.cl[so] *.sty  $RPM_BUILD_ROOT%{PLATEX}/js/

%post
mkdir -p var/adm/SuSEconfig ; touch var/adm/SuSEconfig/run-texhash

%postun
mkdir -p var/adm/SuSEconfig ; touch var/adm/SuSEconfig/run-texhash

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{PLATEX}/js/*
%doc README.html *.dvi *.ps*

%changelog -n jsclasses
* Tue Mar 06 2001 - mfabian@suse.de
- adapted spec file for SuSE: jsclasses 20010306
* Sat Mar 03 2001 - Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- update 2001-02-26
- add dummy jsclasses.tar.gz for the purpose of simple %%setup
* Sun Nov 05 2000 - Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- use %%{texmf}
* Fri Nov 03 2000 - Nobuyuki Tsuchimura <tutimura@nn.iij4u.or.jp>
- 1st release
